org.apache.cassandra.auth

## Interface ISaslAwareAuthenticator.SaslAuthenticator

Enclosing interface:
  ISaslAwareAuthenticator

    public static interface ISaslAwareAuthenticator.SaslAuthenticator

### Method Summary

Methods
`byte[]` `evaluateResponse(byte[] clientResponse)`
`AuthenticatedUser` `getAuthenticatedUser()`
`boolean` `isComplete()`

### Method Detail

#### evaluateResponse

    byte[] evaluateResponse(byte[] clientResponse)
                            throws AuthenticationException

Throws:
  `AuthenticationException`

#### isComplete

    boolean isComplete()

#### getAuthenticatedUser

    AuthenticatedUser getAuthenticatedUser()
                                           throws AuthenticationException

Throws:
  `AuthenticationException`